How to install the bridge in Unreal Engine?

AlienRendersAlienRenders Posts: 707
edited November 2020 in Unreal Discussion

I'm trying to use the bridge and I don't see it in UE4. I can export from DAZ, but it just saves some files. Anyone know how to install this in UE4?

edit: I'm building 4.26 and the plugin is made for 4.25. I found the github source.

If an admin could delete this thread, it would be much appreciated, thank you.

 

Post edited by AlienRenders on

Comments

  • Thanks, but I was using UE 4.26. It won't build as is. You need to add another dependency to the plugin ("DeveloperSettings") in the build.cs file. And changing the UE version to 4.26 in the .uplugin file.

     

  • I am using 4.25 now. Because 4.26 is in Preview mode. Not finished. So plugins and engines not updated. I prefer 4.25 completed version and it works perfectly.

  • The version in Github should work with either 4.25 or 4.26 preview, but you do have to build it yourself.  https://github.com/daz3d/DazToRuntime/tree/master/Unreal

  • Okay, i tried to use DaztoUnreal with 4.26 but it didn't worked. Version error. How can i build for 4.26 manually ? I didn't do that before i am only using for animations movies.

  • Unfortunately, it doens't look like they've pulled my changes for 4.26 yet.  Can you access my fork?  https://github.com/David-Vodhanel/DazToRuntime

    There's some basic instructions for adding the plugin to your code build.  

  • moreffectormoreffector Posts: 52
    edited December 2020

    I tried all ways. But ue 4.26 giving error while opening project. (i don't know building etc.. ) But 4.25 working well. Oh David you are the guy who is developed DazToUnreal plugin right ?

    Post edited by moreffector on
  • I've built the 4.25 plugin for 4.26. You only need to do two things.

    1. Open the .uplugin file and change the version from 4.25 to 4.26. This will remove the warning when launching UE4 that the plugin is the wrong version.

    2. Open the plugin's .build.cs file and add "DeveloperSettings" to the PrivateDependencyModuleNames section.

    That's it. It should now build with UE 4.26.

     

  • Assuming you can access it, my fork has the changes needed for 4.26.  https://github.com/David-Vodhanel/DazToRuntime

    I think these will get pulled into the main branch soon.

  • Oh David you are the guy who is developed DazToUnreal plugin right ?

    I made the original plugin and still contribute updates.

  • Thank you AlienRenders i did them all. and i downloaded from David's link and problem solved now :)

    Thank you David this is amazing plugin. Especially converting materials are really great. Because if someone try to convert materials like this he/she must spend months for that its very detailed converting. 

    I have a question for smooth mesh. I am using maya for 4 years and i am using DaztoUnreal just for material converting. So i mean, firstly i import character to Maya, and animate, retarget, and last i am importing to Unreal. I dont using directly DTU fbx file. 

    I mean, the character's mesh from Maya is not smooth. Sharp corners on the mesh like toes and fingers not smooth mesh. How can i fix it ? DazToUnreal FBX importing very good. But manual fbx importing is not smoothing mesh. I selected all options for smooth mesh, tangents, normals etc..

    Examples Below

     

     

    normal_mesh_1.png
    782 x 435 - 389K
    dtu_mesh_1.png
    823 x 535 - 579K
  • If you use the Subdivision option in DazToUnreal, you can send the character with subd1 which will improve this.  It works be forcing Daz Studio to export the subdivided mesh.  The problem with doing this generally is that the extra vertices are exported without weight.  So on import into Unreal, I try to calculate the missing weights.  My maths not perfect yet, but it's getting close.

    If you're using Maya in between, you have a couple options

    1)  You can subdivide the character in Maya.  This might take a bit of fiddling.  Things like teeth tend to get rounded off.

    2)  I think you can export the subdivided character and have Maya generate the missing weights.  If I remember correctly, either the Maya or Blender bridge does something like this.

    Also, I don't recommend subdividing the clothing or hair, as it can get very heavy.

  • moreffectormoreffector Posts: 52
    edited December 2020

    I fixed it. Open IrayUberShader into Unreal Material Editor and Enable Tesellation > Choose PN Tesellation. All shapes turned smooth.

    Post edited by moreffector on
  • TsubaTsuba Posts: 48
    edited January 30

    David Vodhanel said:

    Assuming you can access it, my fork has the changes needed for 4.26.  https://github.com/David-Vodhanel/DazToRuntime

    What do you mean by that ? Because I don't think I can.
    Does this plugin require a purchase or not ? The Daz people seem to say it's free. Is only half of it free ?

    Post edited by Tsuba on
  • It's all free.  The changes are there and in Daz's repository.  I think the latest version includes the files needed for 4.26 as well, I haven't verified though.

  • RuphussRuphuss Posts: 2,494

    its not a so good practice selling the bridge in the unreal shop for 40 bucks though its free here

    its the same thing Tsuba

  • how do you get this workign with 4.26? I've installed directly from DazCentral and that didn't work. tried the Git link above and now I get this error.

    Untitled.png
    565 x 367 - 46K
  • RuphussRuphuss Posts: 2,494

    its not working with 4.26 

    read the forum what daz-_sam said

  • TsubaTsuba Posts: 48
    edited January 30

    Lost&Confused said:

    how do you get this workign with 4.26? I've installed directly from DazCentral and that didn't work. tried the Git link above and now I get this error.

    I had the same error.  

     

    DAZ_sam said:

    Unfortunately, we have not been able to release 4.26 yet on our end! Thank you for everyone being so patient. That info was added by mistake our apologies. We will get it added ASAP! 

    Link 

    Post edited by Tsuba on
  • I run into the same problem and have been waiting ever since the official launch of 4.26 for it to be fixed. At this rate I'm about to just quit using daz and call it a lost cause and wasted money.
  • I found out a solution.

    create a C++ project in 4.26

    add the Plugin to a folder named "Plugins"

    right click the uproject file and select "generate project files"

    build the project in visual studio.

    Do this every time there's an update to either the plugin and 4.2x

    You can even build it for the chaos preview build of 4.26

  • AlienRenders said:

    I've built the 4.25 plugin for 4.26. You only need to do two things.

    1. Open the .uplugin file and change the version from 4.25 to 4.26. This will remove the warning when launching UE4 that the plugin is the wrong version.

    2. Open the plugin's .build.cs file and add "DeveloperSettings" to the PrivateDependencyModuleNames section.

    That's it. It should now build with UE 4.26.

    So I couldn't find where you change the version number in step #1. I opened the .uplugin file, but I don't see where it explicitly says 4.25. I copied the repository from David's GitHub and even checked the .uplugin file preview in GitHub - it's not mentioned there either. Where exactly is the version change taking place with the .uplugin flie?

  • I've built the 4.25 plugin for 4.26. You only need to do two things.

    1. Open the .uplugin file and change the version from 4.25 to 4.26. This will remove the warning when launching UE4 that the plugin is the wrong version.

    How did you find this? I can't find this detail in the .uplugin

  • AlienRenders said:

    I've built the 4.25 plugin for 4.26. You only need to do two things.

    1. Open the .uplugin file and change the version from 4.25 to 4.26. This will remove the warning when launching UE4 that the plugin is the wrong version.

    2. Open the plugin's .build.cs file and add "DeveloperSettings" to the PrivateDependencyModuleNames section.

    That's it. It should now build with UE 4.26.

    im still having error with UE 4.26, i have to do some test urgently with this and im not able to download 4.25 unreal atm, but i have the error even after do what you say here... dosnt seems to work for me still cant open my proyect now due this...

Sign In or Register to comment.